(ns wanijo.visualisation.view
  (:require [hiccup.page :refer [include-js include-css]]
            [hiccup.form :as hform]
            [wanijo.framework.routing :refer [path]]
            [wanijo.framework.view :as view]))

(defn index [instance-uuid req]
  (view/layout!
    :request req
    :head (list (include-css "/css/vis-network.min.css")
                (include-js "/js/vis-network.min.js"
                            "/js/vis.js"))
    :content
    [[:h1 "Explore"]
     [:form.search {:action (path :vis-search-instance {:term ""})}
      (hform/label "term" "Search Instance")
      (hform/text-field {:autofocus true} "term")
      [:input {:style "display: none" :type "submit"}]]
     [:div.vis-canvas {:data-instance-url (path :vis-get-instance
                                                {:uuid instance-uuid})}]
     [:p.flash--warn
      "Changes to the visualisation will not (yet) mirror to the actual database"]]))
